CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor, Revit and other Autodesk products [www.cadforum.cz]
Cesky English Deutsch
Login/Register:
 Visitors: 6051 

CAD tip CAD tip # 11996:

Question CAD 
 %  platform  category 
Q - question

How to rotate selected blocks by the angle of an existing block?

A - answer If you want to rotate selected texts, blocks or other types of objects in the same angle as an existing object, you can use the following LISP utility "RotBy".

Save the code to the file RotBy.lsp and load it by dragging into the AutoCAD window or with the APPLOAD command. Then type the command ROTBY. Select the source object with the requested rotation angle and then incrementally pick the objects, which should be rotated by it.

;Rotate by existing object/angle… (mod by Beekee)
(vl-load-com)

(defun C:RotBy (/ obj rot)
  (if (cond ((setq obj (entsel "\nSelect the source object for rotation < specify manually >: "))
             (and (setq obj (vlax-ename->vla-object (car obj)))
                  (or (not (vl-catch-all-error-p (setq rot (vl-catch-all-apply 'vla-get-rotation (list obj)))))
                      (prompt "\nRotation angle cannot be detected!"))))
            ((setq rot (getangle "\Specify final angle: ")))
      )

    (while (setq obj (entsel "\nSelect next target object to be rotated < exit >: "))
      (and (setq obj (vlax-ename->vla-object (car obj)))
           (or (not (vl-catch-all-error-p (vl-catch-all-apply 'vla-put-rotation (list obj rot))))
               (prompt "\nCannot apply rotation angle!")
               )
           )
      )
    )
  (princ)
)

You can also download RotBy.lsp directly from www.cadstudio.cz/download

ACAD
100% *  CAD 
30.8.2018    628×  
Comments   Tell a friend
applies to: AutoCAD ·

See also:
Tip 11896:How to drive dyn.block parameters or constraints from Excel?
Tip 11354:Animate dyn.block parameters and dim.constraints in AutoCAD DWGs.
Tip 11295:Iterative Move, Scale and Rotate - till boundary touch.
Tip 10682:Automatic classification of drawing objects by their properties.
Tip 10244:How to make DWG texts readable in a 3D view (align to view)?


Back   All CAD Tips All CAD tips&tricks

Double object snap (osnap) - how to align a line between two lines? (geom.constraints) « | » How to scale a 3D model to a given size in Fusion 360?

Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
DwgTextTranslator translates a series of drawings from one language to another using MS Access.
Download a fully functional trial version.


Please use these tips at your own risk.
CAD Studio (Xanadu) is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist